: Interface ResourceEditorInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Interface ResourceEditorInterface

All Known Implementing Classes:
  ResourceEditor

public interface ResourceEditorInterface

Method Summary
`void` | `addResourceListener(ResourceListener el)` Add a Listener to this helper.
`void` | `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`void` | `commitChanges()` commit the changes (if any)
`RemoteResource` | `getValue()` Get the current value of the edited value
`boolean` | `hasChanged()` Tells if the edited value has changed
`void` | `initialize(RemoteResourceWrapper rw, java.util.Properties p)` initialize the helper
`void` | `removeResourceListener(ResourceListener el)` Remove the listener from this helper.

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells if the edited value has changed
  Returns:
    true if the value changed.

### clearChanged

    public void clearChanged()

  set the current value to be the original value, ie: changed must return false after a reset.

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  commit the changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### getValue

    public RemoteResource getValue()

  Get the current value of the edited value
  Returns:
    a RemoteResource or null if the object was not initialized

### addResourceListener

    public void addResourceListener(ResourceListener el)

  Add a Listener to this helper.
  Parameters:
    `el` - a listener

### removeResourceListener

    public void removeResourceListener(ResourceListener el)

  Remove the listener from this helper.
  Parameters:
    `el` - the listener to be removed.

### initialize

    public void initialize(RemoteResourceWrapper rw,
                           java.util.Properties p)
                    throws RemoteAccessException

  initialize the helper
  Parameters:
    `rw` - the ResourceWrapper of the Resource edited with this helper
    `p` - some Properties, used to fine-tune the helper
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD